import { SnackBarNotificationComponent } from '../shared/components/notificaiton/snack-bar-notification.component';
import { LinkedInLoginComponent } from './login/linkedin-login/linkedin-login.component';
import { LoginRoutes } from './login.routes';
import { MaterialModule } from '../shared/material/material.module';
import { SharedModule } from '../shared/shared.module';
import { LoginServiceConfiguration } from './utilties/LoginServiceConfiguration';
import { LoginService } from './utilties/login-service';
import { LoginComponent } from './login/login.component';
import { ModuleWithProviders, NgModule } from "@angular/core";
import { CommonModule } from '@angular/common';

@NgModule({
    imports: [
        SharedModule,
        CommonModule,
        LoginRoutes
    ],
    declarations: [
        LoginComponent,
        LinkedInLoginComponent
    ],
    exports: [
        LoginComponent,
        LinkedInLoginComponent
    ],
    providers: [LoginService]
})
export class LoginModule {
    static forRoot(config: LoginServiceConfiguration): ModuleWithProviders {
        return {
            ngModule: LoginModule,
            providers: [
                { provide: LoginServiceConfiguration, useValue: config }
            ],
        };
    }
}